> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get config



## OpenAPI

````yaml /api-reference/oda-config-service-1.0.0.yml get /config/{name}
openapi: 3.0.1
info:
  title: oda-config-service
  version: 1.0.0
servers: []
security: []
paths:
  /config/{name}:
    get:
      operationId: get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: ownerId
          in: query
          required: true
          explode: false
          schema:
            type: string
        - name: url
          in: query
          required: true
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: get 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigValue'
components:
  schemas:
    ConfigValue:
      required:
        - actions
        - id
        - name
        - ownerId
        - url
        - value
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerId:
          type: string
        url:
          type: string
        value:
          type: object
          additionalProperties:
            type: object
        actions:
          type: array
          items:
            $ref: '#/components/schemas/ConfigValue.Action'
    ConfigValue.Action:
      required:
        - category
        - game
        - id
        - name
        - price
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        price:
          $ref: '#/components/schemas/Amount'
        category:
          type: string
        game:
          type: string
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string

````